[Greasemonkey] Using 0.3.3

Robert G. Werner robert at inreachtech.net
Wed Jul 20 15:30:10 EDT 2005


Null Andvoid wrote:
> Thanks for the reply.
> I guess I'll go ahead and upgrade/cripplegrade (; to 0.3.5
> 
> RC
[snip]
> 
It's not really crippled unless you were relying on the GM_* API in
any of your scripts.  Everything else pretty much works as is.  My NYT
anti stupid javascript links script is working fine (that's the main
one I use right now).  I'll miss GM_log if I need to develop anything
before the new stuff settles down but I can live with just using
window.alert.

Actually,  the .4* upgrade (the latest stuff from aaron) is going to
cause more changes.  Not that I mind.

I'm hugely pleased that content will have a very difficult time
figuring out I'm running GM.  The security is a must too.  If we
didn't make both the .35 change and the later deeper changes in the
.4* series then GM had the chance to act a lot like Active X and we
can't have that.

-- 
In Reach Technology:    http://www.inreachtech.net/

Robert G. Werner
robert at inreachtech.net

Tel: 559.304.5122

You will obey or molten silver will be poured into your ears.


More information about the Greasemonkey mailing list